-- phpMyAdmin SQL Dump
-- version 3.2.1deb1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Oct 01, 2009 at 10:43 AM
-- Server version: 5.1.37
-- PHP Version: 5.2.10-2.2

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

SET AUTOCOMMIT=0;
START TRANSACTION;


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `faceless`
--

-- --------------------------------------------------------

--
-- Table structure for table `album`
--
-- Creation: Sep 25, 2009 at 08:15 PM
--

DROP TABLE IF EXISTS `album`;
CREATE TABLE IF NOT EXISTS `album` (
  `name` varchar(20) NOT NULL COMMENT 'the user that owns the album',
  `rights` int(1) NOT NULL DEFAULT '1' COMMENT 'who is allowed to access the album {0: none, 1: friends, 2: all}',
  `gallery_id` int(11) NOT NULL COMMENT 'the gallery which the album belongs to',
  PRIMARY KEY (`name`),
  KEY `gallery` (`gallery_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='contains a subset of the user pictures';

--
-- RELATIONS FOR TABLE `album`:
--   `gallery_id`
--       `gallery` -> `user_id`
--

--
-- Dumping data for table `album`
--

INSERT INTO `album` (`name`, `rights`, `gallery_id`) VALUES
('asdfadsf', 1, 58),
('Debian', 2, 49),
('lefkada', 1, 49),
('me', 0, 49),
('profile', 1, 50),
('sadd', 1, 56),
('Test', 2, 55),
('zz', 1, 51);

-- --------------------------------------------------------

--
-- Table structure for table `blacklist`
--
-- Creation: Sep 25, 2009 at 08:15 PM
--

DROP TABLE IF EXISTS `blacklist`;
CREATE TABLE IF NOT EXISTS `blacklist` (
  `user_id` int(11) NOT NULL,
  `blocked_id` int(11) NOT NULL COMMENT 'the person that was blacklisted from the user',
  PRIMARY KEY (`user_id`,`blocked_id`),
  KEY `blocked` (`blocked_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='lists the blocked persons of each user';

--
-- RELATIONS FOR TABLE `blacklist`:
--   `user_id`
--       `user` -> `user_id`
--   `blocked_id`
--       `user` -> `user_id`
--

--
-- Dumping data for table `blacklist`
--

INSERT INTO `blacklist` (`user_id`, `blocked_id`) VALUES
(49, 53);

-- --------------------------------------------------------

--
-- Table structure for table `friends`
--
-- Creation: Sep 26, 2009 at 09:48 PM
--

DROP TABLE IF EXISTS `friends`;
CREATE TABLE IF NOT EXISTS `friends` (
  `user_id` int(11) NOT NULL,
  `friend_id` int(11) NOT NULL,
  `notes` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`user_id`,`friend_id`),
  KEY `friend_id` (`friend_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- RELATIONS FOR TABLE `friends`:
--   `user_id`
--       `user` -> `user_id`
--   `friend_id`
--       `user` -> `user_id`
--

--
-- Dumping data for table `friends`
--

INSERT INTO `friends` (`user_id`, `friend_id`, `notes`) VALUES
(49, 50, 'known from ceid'),
(49, 51, 'known from Patra'),
(50, 49, 'γεια σου Κώστα...'),
(51, 49, ''),
(55, 56, 'cocos'),
(56, 55, 'καλό γκομενάκι είσαι...'),
(56, 58, 'mpla mlpa'),
(58, 56, 'ddfvsv');

-- --------------------------------------------------------

--
-- Table structure for table `gallery`
--
-- Creation: Sep 25, 2009 at 08:15 PM
--

DROP TABLE IF EXISTS `gallery`;
CREATE TABLE IF NOT EXISTS `gallery` (
  `user_id` int(11) NOT NULL,
  `profile_pic` varchar(100) NOT NULL DEFAULT 'img/faceless.gif' COMMENT 'the picture that will appear as the default for the user''s account',
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='contains the user''s pictures. The pics are categorized in al';

--
-- RELATIONS FOR TABLE `gallery`:
--   `user_id`
--       `user` -> `user_id`
--

--
-- Dumping data for table `gallery`
--

INSERT INTO `gallery` (`user_id`, `profile_pic`) VALUES
(49, '../uploaded_images/49/lefkada/lefkada_porto_katsiki.jpg'),
(50, '../uploaded_images/50/profile/63.jpg'),
(51, 'img/faceless.gif'),
(52, 'img/faceless.gif'),
(53, 'img/faceless.gif'),
(54, 'img/faceless.gif'),
(55, '../uploaded_images/55/Test/avatar_11.jpg'),
(56, 'img/faceless.gif'),
(57, 'img/faceless.gif'),
(58, '../uploaded_images/58/asdfadsf/1.jpg');

-- --------------------------------------------------------

--
-- Table structure for table `message`
--
-- Creation: Sep 25, 2009 at 08:15 PM
--

DROP TABLE IF EXISTS `message`;
CREATE TABLE IF NOT EXISTS `message` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `text` varchar(255) NOT NULL,
  `owner_id` int(11) NOT NULL COMMENT 'the user who receives the message to his wall',
  `writer_id` int(11) NOT NULL COMMENT 'the user who post the message to the wall of the owner',
  `date_time` datetime NOT NULL COMMENT 'automatically retrieved',
  PRIMARY KEY (`id`),
  KEY `writer` (`writer_id`),
  KEY `owner` (`owner_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='describes a message which is posted in the wall of a user' AUTO_INCREMENT=36 ;

--
-- RELATIONS FOR TABLE `message`:
--   `owner_id`
--       `wall` -> `owner_id`
--   `writer_id`
--       `user` -> `user_id`
--

--
-- Dumping data for table `message`
--

INSERT INTO `message` (`id`, `text`, `owner_id`, `writer_id`, `date_time`) VALUES
(14, 'how are you?', 50, 49, '2009-09-29 08:40:30'),
(15, 'Let''s have some TasPython fun at 6...\r\n\r\nτα λέμε...', 49, 50, '2009-09-29 08:42:13'),
(16, '1) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:47:21'),
(17, '2) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:47:32'),
(18, '3) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:47:45'),
(19, '4) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:47:50'),
(20, '5) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:47:55'),
(21, '6) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:48:01'),
(22, '7) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:48:09'),
(23, '8) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:48:15'),
(24, '9) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:48:20'),
(25, '10) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:48:28'),
(26, '11) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:48:41'),
(27, '12) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:48:46'),
(28, '13) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:48:53'),
(29, '14) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:48:59'),
(30, '15) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:49:04'),
(31, '16) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:49:09'),
(32, '17) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:49:14'),
(33, '18) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:49:20'),
(34, '19) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:49:24'),
(35, '20) Εύκολος τρόπος εκμάθησης Python: www.TasPython.eu', 49, 50, '2009-09-29 08:49:30');

-- --------------------------------------------------------

--
-- Table structure for table `pending_friend_req`
--
-- Creation: Sep 25, 2009 at 08:15 PM
--

DROP TABLE IF EXISTS `pending_friend_req`;
CREATE TABLE IF NOT EXISTS `pending_friend_req` (
  `user_id` int(11) NOT NULL COMMENT 'the id of the user that may accept the pending request',
  `pen_friend_id` int(11) NOT NULL COMMENT 'the id of the user that had sent a friend request',
  `notes` varchar(255) DEFAULT 'known from CEID' COMMENT 'notes of the pen_friend about the way they met',
  PRIMARY KEY (`user_id`,`pen_friend_id`),
  KEY `pen_friend` (`pen_friend_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='lists the pending requests of each user';

--
-- RELATIONS FOR TABLE `pending_friend_req`:
--   `user_id`
--       `user` -> `user_id`
--   `pen_friend_id`
--       `user` -> `user_id`
--

--
-- Dumping data for table `pending_friend_req`
--

INSERT INTO `pending_friend_req` (`user_id`, `pen_friend_id`, `notes`) VALUES
(49, 52, 'hey');

-- --------------------------------------------------------

--
-- Table structure for table `picture`
--
-- Creation: Sep 25, 2009 at 08:15 PM
--

DROP TABLE IF EXISTS `picture`;
CREATE TABLE IF NOT EXISTS `picture` (
  `path` varchar(50) NOT NULL COMMENT 'the path where the picture is stored',
  `album` varchar(20) NOT NULL COMMENT 'the album where the pic belongs to',
  `name` varchar(20) NOT NULL COMMENT 'the name of the pic',
  PRIMARY KEY (`path`),
  KEY `album` (`album`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='the pictures that belongs to an album of a user';

--
-- RELATIONS FOR TABLE `picture`:
--   `album`
--       `album` -> `name`
--

--
-- Dumping data for table `picture`
--

INSERT INTO `picture` (`path`, `album`, `name`) VALUES
('1.jpg', 'asdfadsf', 'filename'),
('63.jpg', 'profile', 'filename'),
('66.gif.jpeg', 'me', 'filename'),
('66.gif.jpeg49', 'me', 'filename'),
('66.gif.jpeg491254201946', 'me', 'filename'),
('66.gif.jpeg491254201991', 'me', 'filename'),
('66.gif.jpeg491254202000', 'me', 'filename'),
('66.gif.jpeg491254202008', 'me', 'filename'),
('66.gif.jpeg491254202017', 'me', 'filename'),
('66.gif.jpeg491254202029', 'me', 'filename'),
('66.gif.jpeg491254202047', 'me', 'filename'),
('66.gif.jpeg491254202058', 'me', 'filename'),
('66.gif.jpeg491254202066', 'me', 'filename'),
('avatar_11.jpg', 'Test', 'filename'),
('debian-kfreebsd.png', 'profile', 'filename'),
('gnu_debian.png', 'Debian', 'filename'),
('humour,fond-ecran-humour-animal,humour_animal_044.', 'zz', 'filename'),
('lefkada_porto_katsiki.jpg', 'lefkada', 'filename'),
('Logo_Lea-linux.png', 'Debian', 'filename'),
('n128718589252_2629.jpg', 'Debian', 'filename'),
('pingouin-linux.jpg', 'Debian', 'filename'),
('ram2.png', 'Debian', 'filename');

-- --------------------------------------------------------

--
-- Table structure for table `user`
--
-- Creation: Sep 25, 2009 at 08:15 PM
--

DROP TABLE IF EXISTS `user`;
CREATE TABLE IF NOT EXISTS `user` (
  `name` varchar(20) NOT NULL COMMENT 'name of the user',
  `surname` varchar(20) NOT NULL COMMENT 'surname of the user',
  `email` varchar(30) NOT NULL COMMENT 'email of the user',
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `pass` varchar(25) NOT NULL COMMENT 'password of the user',
  `show_email` int(1) NOT NULL DEFAULT '0' COMMENT 'user group that get allowance to see the user''s email {0: none, 1: friends, 2: all}',
  `privacy` int(1) NOT NULL DEFAULT '1' COMMENT 'user group that get allowance to see the user''s info {0: none, 1: friends, 2: all}',
  PRIMARY KEY (`email`),
  UNIQUE KEY `user_id` (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='description of the user' AUTO_INCREMENT=59 ;

--
-- Dumping data for table `user`
--

INSERT INTO `user` (`name`, `surname`, `email`, `user_id`, `pass`, `show_email`, `privacy`) VALUES
('Κώστας', 'Αραβανής', 'arabanis@ceid.upatras.gr', 49, '1', 2, 2),
('Ceid', 'Ceid', 'ceid@gmail.com', 53, '1', 0, 2),
('chris', 'baras', 'charisiadi@hotmail.com', 54, '1', 0, 1),
('kapoios', 'kapou', 'kapoios@gmail.com', 52, '1', 0, 2),
('kostas2', 'kostakis', 'kostas2@k.com', 56, '1', 0, 1),
('Δημήτρης', 'Λεβεντέας', 'lebenteas@ceid.upatras.gr', 50, '1', 0, 2),
('mmm', 'n', 'm@m.m', 58, '1', 0, 2),
('Χρήστος', 'Μπάρας', 'mparas@ceid.upatras.gr', 51, '1', 1, 2),
('myle1', 'myle', 'myle@myle.com', 57, '1', 0, 1),
('Τάκης', 'Παπαδόπουλος', 'takis@gmail.com', 55, '1234', 2, 2);

-- --------------------------------------------------------

--
-- Table structure for table `wall`
--
-- Creation: Sep 25, 2009 at 08:15 PM
--

DROP TABLE IF EXISTS `wall`;
CREATE TABLE IF NOT EXISTS `wall` (
  `owner_id` int(11) NOT NULL COMMENT 'the owner of the wall',
  `rights` int(1) NOT NULL DEFAULT '1' COMMENT 'who can read the wall {0: none, 1: friends, 2: all}',
  PRIMARY KEY (`owner_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='the wall where messages among the users are posted';

--
-- RELATIONS FOR TABLE `wall`:
--   `owner_id`
--       `user` -> `user_id`
--

--
-- Dumping data for table `wall`
--

INSERT INTO `wall` (`owner_id`, `rights`) VALUES
(49, 1),
(50, 1),
(51, 1),
(52, 1),
(53, 1),
(54, 1),
(55, 1),
(56, 1),
(57, 1),
(58, 1);

--
-- Constraints for dumped tables
--

--
-- Constraints for table `album`
--
ALTER TABLE `album`
  ADD CONSTRAINT `album_ibfk_1` FOREIGN KEY (`gallery_id`) REFERENCES `gallery` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `blacklist`
--
ALTER TABLE `blacklist`
  ADD CONSTRAINT `blacklist_ibfk_3` FOREIGN KEY (`user_id`) REFERENCES `user` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `blacklist_ibfk_4` FOREIGN KEY (`blocked_id`) REFERENCES `user` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `friends`
--
ALTER TABLE `friends`
  ADD CONSTRAINT `friends_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `user` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `friends_ibfk_2` FOREIGN KEY (`friend_id`) REFERENCES `user` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `gallery`
--
ALTER TABLE `gallery`
  ADD CONSTRAINT `gallery_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `user` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `message`
--
ALTER TABLE `message`
  ADD CONSTRAINT `message_ibfk_3` FOREIGN KEY (`owner_id`) REFERENCES `wall` (`owner_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `message_ibfk_4` FOREIGN KEY (`writer_id`) REFERENCES `user` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `pending_friend_req`
--
ALTER TABLE `pending_friend_req`
  ADD CONSTRAINT `pending_friend_req_ibfk_3` FOREIGN KEY (`user_id`) REFERENCES `user` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `pending_friend_req_ibfk_4` FOREIGN KEY (`pen_friend_id`) REFERENCES `user` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `picture`
--
ALTER TABLE `picture`
  ADD CONSTRAINT `picture_ibfk_1` FOREIGN KEY (`album`) REFERENCES `album` (`name`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `wall`
--
ALTER TABLE `wall`
  ADD CONSTRAINT `wall_ibfk_1` FOREIGN KEY (`owner_id`) REFERENCES `user` (`user_id`) ON DELETE CASCADE ON UPDATE CASCADE;

COMMIT;
