<?php
session_start();

// control the maximum number of possible failed tries
include("sanitize/failed_tries.php");

// If the user isn't logged in then redirect him back to home
if (empty($_SESSION['email']) || empty($_SESSION['name']) || empty($_SESSION['surname']) || empty($_SESSION['user_id']))
{
	header( "Location: index.php" );
}

// Includes the functions:
//   include_file [include_once(/site's path/...)]
//   require_file [include_once(/site's path/...)]
require_once("php/import_php.php");

// Include the function islogged_in that check if the user is logged in or not
include_file("php/islogged_in.php");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta content="text/html;charset=utf-8" http-equiv="Content-Type">
<title>Faceless</title>

<!-- This template was created by Mantis-a [http://www.mantisa.cz/]. For more templates visit Free website templates [http://www.mantisatemplates.com/]. -->

<meta name="Description" content="social networking utility" />
<meta name="Keywords" content="social networking site,connect people,make friends" />
<meta name="robots" content="all,follow" />
<meta name="author" content="myle,aravanis,mparas" />

<!-- Javascript -->
<meta http-equiv="Content-Script-Type" content="text/javascript" />

<!-- CSS -->
<link rel="stylesheet" href="css/style.css" type="text/css" media="screen, projection, tv" />
<link rel="stylesheet" href="css/style-print.css" type="text/css" media="print" />

<!-- Page Icon -->
<link rel="shortcut icon" type="image/png" href="img/icon.png">

<script type="text/javascript" src="js/lookup_fill.js"></script>
<script type="text/javascript" src="js/jquery-1.2.1.pack.js"></script>

</head>

<body>
<div id="wrapper">

<?php
	// print the html code for the site's banner and menu
	if (islogged_in() == 1) {
	     include_file("stable_parts/banner_menu.php");
	}
	else {
	     include_file("stable_parts/banner_menu_not_logged_in.php");
	}
?> 

<hr class="noscreen" />

	<div id="content-box">
		<div id="content-box-in">

			<a name="skip-menu"></a>
			<!-- Content left -->
			<div class="content-box-left">
				<div class="content-box-left-in">
					<h3>Comments</h3>
					<?php
						include_file("php_for_database/read_comments.php");
					?> 
				</div>
			</div>
			<!-- Content left end -->

<hr class="noscreen" />
		        <?php
				// print the logout box (html code)
				include_file("stable_parts/logout_button.php");
		        ?>
			<!-- Content right end -->
			<div class="cleaner">&nbsp;</div>
		</div>
	</div>

<hr class="noscreen" />

<?php
	// print the html code for the footer of the page
	include_file("stable_parts/footer.php");
?>

</div>
</body>
</html>

