<?php
session_start();

// control the maximum number of possible failed tries
include("sanitize/failed_tries.php");

// Includes the functions:
//   include_file [include_once(/site's path/...)]
//   require_file [include_once(/site's path/...)]
require_once("php/import_php.php");

// Include the function islogged_in that check if the user is logged in or not
include_file("php/islogged_in.php");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta content="text/html;charset=utf-8" http-equiv="Content-Type">
<title>Faceless</title>

<!-- This template was created by Mantis-a [http://www.mantisa.cz/]. For more templates visit Free website templates [http://www.mantisatemplates.com/]. -->

<meta name="Description" content="social networking utility" />
<meta name="Keywords" content="social networking site,connect people,make friends" />
<meta name="robots" content="all,follow" />
<meta name="author" content="myle,aravanis,mparas" />

<!-- Javascript -->
<meta http-equiv="Content-Script-Type" content="text/javascript" />

<!-- CSS -->
<link rel="stylesheet" href="css/style.css" type="text/css" media="screen, projection, tv" />
<link rel="stylesheet" href="css/style-print.css" type="text/css" media="print" />

<!-- Page Icon -->
<link rel="shortcut icon" type="image/png" href="img/icon.png">

<script type="text/javascript" src="js/lookup_fill.js"></script>
<script type="text/javascript" src="js/jquery-1.2.1.pack.js"></script>

</head>

<body>
<div id="wrapper">

<?php
	// print the html code for the site's banner and menu
	if (islogged_in() == 1) {
	     include_file("stable_parts/banner_menu.php");
	}
	else {
	     include_file("stable_parts/banner_menu_not_logged_in.php");
	}
?> 

<hr class="noscreen" />

	<div id="content-box">
		<div id="content-box-in">

			<a name="skip-menu"></a>
			<!-- Content left -->
			<div class="content-box-left">
				<div class="content-box-left-in">
					<h3>Search Results</h3>
					<?php

					// Get the search variable from URL
					$var = $_GET['q'] ;
					$trimmed = trim($var); //trim whitespace from the stored variable

					$exit = 0;
					// check for an empty string and display a message.
					if ($trimmed == "")
					{
						echo "<p class='text-content'>Please enter a search...</p>";
						$exit = 1;
					}

					if($exit == 0)
					{
						// check for a search parameter
						if (!isset($var))
						{
							echo "<p class='text-content'>We dont seem to have a search parameter!</p>";
							$exit = 1;
						}
					}

					if($exit == 0)
					{
						// include the function that will make the connection with the database
						require_file("php_for_database/connect_db.php");

						// connect to database
						$db = connect_db();
						
						// Build SQL Query  
						$sql = "SELECT * FROM user WHERE name LIKE \"%$trimmed%\" OR surname LIKE \"%$trimmed%\" OR email LIKE \"%$trimmed%\" ORDER BY surname ASC"; 

						// if the query had an error
						if (!($result = mysql_query($sql,$db)))
						{
							die('Error: ' . mysql_error());
						}

						$numrows=mysql_num_rows($result);

						// If we have no results, offer a google search as an alternative

						if ($numrows == 0)
						{
							echo "<p class='text-content'>Sorry, your search: &quot;" . $trimmed . "&quot; returned zero results</p>";
							$exit = 1;
						}
					}

					if($exit == 0)
					{
						// display what the person searched for
						echo "<p class='text-content'>You searched for: &quot;" . $var . "&quot;</p>";

						echo "<div class='alert-box'>
						      <h5>Search Results</h5>
							    <div class='alert-box-text-large'>
								<table style='text-align: center; width: 100%;' border='0' cellpadding='2' cellspacing='2'>";
						
						require_file("php_for_database/read_image_path.php");
						require_file("php/resize_image.php");

						// now you can display the results returned
						while ($row= mysql_fetch_array($result)) 
						{

                                                    $name = $row['name'];
                                                    $surname = $row['surname'];
                                                    $uid = $row['user_id'];
                                                    $privacy = $row['privacy'];
                                                    $show_email = $row['show_email'];
                                                    $fullname = $name . " " . $surname;
                                                    $user_img = get_profile_img($row["user_id"], $db);
                                                    // No one is allowed to view his profile
                                                    if ($privacy == 0)
                                                    {
                                                        $linkS = "";
                                                        $linkE = "";
                                                    }
                                                    // only friends may visit his profile
                                                    elseif ($privacy == 1)
                                                    {
                                                        // file with the API of friends
                                                        require_once("friends_req/general_friends.php");
                                                        // check whether they are friends and take appropriate action
                                                        if (are_friends($_SESSION['user_id'], $uid))
                                                        {
                                                            $linkS = '<a href="profile.php?u=' . $uid . '">';
                                                            $linkE = '</a>';
                                                        }
                                                        else
                                                        {
                                                            $linkS = "";
                                                            $linkE = "";
                                                        }

                                                    }
                                                    else
                                                    {
                                                         $linkS = '<a href="profile.php?u=' . $uid . '">';
                                                         $linkE = '</a>';
                                                    }

                                                    // what happens with email
                                                    if ($show_email == 0) $email_info = "";
                                                    elseif ($show_email == 1)
                                                    {
                                                        // file with the API of friends
                                                        require_once("friends_req/general_friends.php");
                                                        // check whether they are friends and take appropriate action
                                                        if (are_friends($_SESSION['user_id'], $uid))
                                                        {
                                                            $email_info = "<th>( " . $row["email"] . " )</th>";
                                                        }
                                                        else
                                                        {
                                                            $email_info = "";
                                                        }
                                                    }
                                                    else $email_info = "<th>( " . $row["email"] . " )</th>";
                                                    $link = $linkS . $fullname . $linkE;
                                                    $title = "<th>" . $link . "</th>" . $email_info . "</tr>";

                                                    echo "<tr><th><div class='thumbnail'>" . $linkS . "<img id='user_img' style='" . resizeImage($user_img, '120') . "' src='$user_img' />" . $linkE ."</div></th>" . $title ;
						}
						echo "</table></div></div>";
					}
					?>
				</div>
			</div>
			<!-- Content left end -->

<hr class="noscreen" />
		        <?php
			// check to see if the user is logged in or not in order to "print" 
			// the appropriate (login/logout box) html code
			if (islogged_in() == 0) 
			{
			   include_file("stable_parts/login_form.php");
                        }
		        else
			{
			   include_file("stable_parts/logout_button.php");
		        }
                        ?>
			<!-- Content right end -->
			<div class="cleaner">&nbsp;</div>
		</div>
	</div>

<hr class="noscreen" />

<?php
	// print the html code for the footer of the page
	include_file("stable_parts/footer.php");
?>

</div>
</body>
</html>

