<?php
session_start();

// control the maximum number of possible failed tries
include("sanitize/failed_tries.php");

// Includes the functions:
//   include_file [include_once(/site's path/...)]
//   require_file [include_once(/site's path/...)]
require_once("php/import_php.php");

// Include the function islogged_in that check if the user is logged in or not
include_file("php/islogged_in.php");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta content="text/html;charset=utf-8" http-equiv="Content-Type">
<title>Faceless</title>

<!-- This template was created by Mantis-a [http://www.mantisa.cz/]. For more templates visit Free website templates [http://www.mantisatemplates.com/]. -->

<meta name="Description" content="social networking utility" />
<meta name="Keywords" content="social networking site,connect people,make friends" />
<meta name="robots" content="all,follow" />
<meta name="author" content="myle,aravanis,mparas" />

<!-- Javascript -->
<meta http-equiv="Content-Script-Type" content="text/javascript" />

<!-- CSS -->
<link rel="stylesheet" href="css/style.css" type="text/css" media="screen, projection, tv" />
<link rel="stylesheet" href="css/style-print.css" type="text/css" media="print" />

<!-- Page Icon -->
<link rel="shortcut icon" type="image/png" href="img/icon.png">

<script type="text/javascript" src="js/resize_image.js"></script>

</head>

<body>
<div id="wrapper">

<?php
	// print the html code for the site's banner and menu
	if (islogged_in() == 1) {
	     include_file("stable_parts/banner_menu.php");
	}
	else {
	     include_file("stable_parts/banner_menu_not_logged_in.php");
	}
?> 

<hr class="noscreen" />

	<div id="content-box">
		<div id="content-box-in">

			<a name="skip-menu"></a>
			<!-- Content left -->
			<div class="content-box-left">
				<div class="content-box-left-in">
					<h3>Create Album</h3>
					<p class="text-content">To be done.</p>
					<div class="alert-box">
						<h5>Create a New Album</h5>
						<div class="alert-box-text-large">
							<form action="php_for_database/create_album.php" method="post" enctype="multipart/form-data">
								Please insert the name that you would like your new album to have:<input name="new_album" type="text">
								<br />Rights: <select name="rights">
										<option value="0">None</option>
										<option selected="selected" value="1">Friends</option>
										<option value="2">All</option>
									</select><br /> <br />
								<div style="text-align: right;"><input name="submit" value="Create Album" type="submit"></div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<!-- Content left end -->

<hr class="noscreen" />
		        <?php
			// check to see if the user is logged in or not in order to "print" 
			// the appropriate (login/logout box) html code
			if (islogged_in() == 0) 
			{
			   include_file("stable_parts/login_form.php");
                        }
		        else
			{
			   include_file("stable_parts/logout_button.php");
		        }
                        ?>
			<!-- Content right end -->
			<div class="cleaner">&nbsp;</div>
		</div>
	</div>

<hr class="noscreen" />

<?php
	// print the html code for the footer of the page
	include_file("stable_parts/footer.php");
?>

</div>
</body>
</html>

