<?php
/**
 * Recursively delete a directory
 *
 * @param string $dir Directory name
 * @param boolean $deleteRootToo Delete specified top-level directory as well
 */
function unlinkRecursive($dir, $deleteRootToo)
{
	// if this directory cannot been opened this is because probably is a file
	if(!$dh = @opendir($dir))
	{
		return;
	}

	while (false !== ($obj = readdir($dh)))
	{
		if($obj == '.' || $obj == '..')
		{
			continue;
		}

		// if it isn't possible for this file to be removed that means that actually
		// is a directory so call the unlinkRecursive
		if (!@unlink($dir . '/' . $obj))
		{
			unlinkRecursive($dir.'/'.$obj, true);
		}
	}

	closedir($dh);
      
	if ($deleteRootToo)
	{
		@rmdir($dir);
	}
      
	return;
}
?> 
