/* The validate_name_pass checks to see if the user had set the 
 * name surname pass and the pass for retype of a form correctly.
 * They must have the appropriate length and also the retyped pass
 * must be the same with the actual pass.  
 */
function validate_name_pass(form)
{
   var e = form.elements;

   // check the correctness of the name
   if (e['name'].value == '' || e['name'].value.length > 20)
   {
      e['name'].focus();
      alert('Please insert your name. The max length must be 20 charachters.');
      return false;
   }
   // check the correctness of the surname
   else if (e['surname'].value == '' || e['surname'].value.length > 20)
   {
      e['surname'].focus();
      alert('Please insert your surname. The max length must be 20 charachters.');
      return false;
   }
   // check the correctness of the pass
   else if (e['pass'].value == '' || e['pass'].value.length > 25)
   {
      e['pass'].focus();
      alert('Please insert a password of your choice. The max length must be 25 charachters.');
      return false;
   }
   // check the correctness of the retyped pass
   else if (e['repass'].value == '' || e['repass'].value.length > 25)
   {
      e['repass'].focus();
      alert('Please retype the password. The max length must be 25 charachters.');
      return false;
   }
   // the retyped pass must be the same with the actual pass
   else if (e['pass'].value != e['repass'].value)
   {
      e['pass'].focus();
      alert('The passwords do not match.');
      return false;
   }
   // if there was not an error in the name, surname, pass, repass fields return
   // true
   else
   {
       return true;
   }
   
   return false;
}
/* The validate_email chacks to see if the email has the correct structure.
 * It must be sth1@sth2.sth3 (where sths' are strings that have bigger than zero
 * length). Also this functions doesn't allow an email that is bigger than 30 
 * characters.
 */
function validate_email(form)
{
  with (form)
  {
    with (email)
    {
      // apos is the position of the "@" in the email string.
      apos=value.indexOf("@");
      // dotpos is the position of the last "." in the email string.
      dotpos=value.lastIndexOf(".");
      // if the email hasn't the structure sth1@sth2.sth3
      if (apos < 1 || dotpos - apos < 2)
      {
	email.focus();
	alert('The e-mail address is not valid.');
	return false;
      }
      // check the length of the email string
      else if(e['pass'].value.length > 30)
      {
	email.focus();
	alert('The max length of your email address must be 30 charachters.');
	return false;
      }
      // if the email was correctly set return true
      else 
      {
	return true;
      }
    }
  }
}

/* The validate_all is a wrapper that calls both the functions 
 * validate_name_pass and validate_email in order to check totally
 * a form like the sign up form.
 */
function validate_all(form)
{
  var returned_value;

  // check the name, surname, pass, repass of the form
  returned_value = validate_name_pass(form);

  // if there wasn't an error previously (error = false)
  // check the email field of the form
  if(returned_value)
  {
    return validate_email(form);
  }

  // if there was an error in the fields name, surname
  // pass or repass of the form return false
  return false;
}